package de.hendriklipka.q3master;

public class Configuration
{
    private static Configuration _instance=new Configuration();

    private String _log4jConfigFile="cfg/q3master.lcf";
    private String _listenAddress=null;
    private int _listenPort=27950;
    private int _listenTimeout=5000;
    private int _serverTimeout=11*60*1000;
    private int _serverQueryTimeout=2000;
    private int _serverQueryTries=3;

    public String getListenAddress()
    {
        return _listenAddress;
    }

    public int getListenPort()
    {
        return _listenPort;
    }

    public int getListenTimeout()
    {
        return _listenTimeout;
    }

    public int getServerTimeout()
    {
        return _serverTimeout;
    }

    public int getServerQueryTimeout()
    {
        return _serverQueryTimeout;
    }

    public int getServerQueryTries()
    {
        return _serverQueryTries;
    }

    public String getLog4jConfigFile()
    {
        return _log4jConfigFile;
    }

    public static Configuration getInstance()
    {
        return _instance;
    }

    public void readConfigFile(String fName)
    {
    }
}